import TagsViewStore from './TagsView.js';

export default {
  install(store) {
    if (!store.state.app) {
      store.registerModule(['app'], {
        namespaced: true,
      });
    }
    if (!store.state.app.tagsView) {
      store.registerModule(['app', 'tagsView'], TagsViewStore);
    }
  },
  uninstall(store) {
    store.unregisterModule(['app', 'tagsView']);
  },
};
